Множественные уязвимости в GStreamer Good Plug-ins

Дата публикации:
26.01.2009
Дата изменения:
26.01.2009
Всего просмотров:
2338
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0386
CVE-2009-0387
CVE-2009-0397
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GStreamer Good Plug-ins 0.x
Уязвимые версии: GStreamer Good Plug-ins версии до 0.10.12

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "qtdemux_parse_samples()" в файле gst/gtdemux/qtdemux.c при обработке QuickTime "ctts" атомов. Удаленный пользователь может с помощью специально сформированного QuickTime медиа файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки индекса массива в функции "qtdemux_parse_samples()" в файле gst/gtdemux/qtdemux.c при обработке QuickTime "stss" атомов. Удаленный пользователь может с помощью специально сформированного QuickTime медиа файла вызвать повреждение памяти и скомпрометировать целевую систему.

3. Уязвимость существует из-за ошибки проверки границ данных в функции "qtdemux_parse_samples()" в файле gst/gtdemux/qtdemux.c при обработке QuickTime "stts" атомов. Удаленный пользователь может с помощью специально сформированного QuickTime медиа файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: gstreamer.freedesktop.org/modules/gst-plugins-good.html

Решение: Установите последнюю версию 0.10.12 с сайта производителя.

Ссылки: http://trapkit.de/advisories/TKADV2009-003.txt
http://gstreamer.freedesktop.org/releases/gst-plugins-good/0.10.12.html

или введите имя

CAPTCHA